/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.12.6
 * 描述               :        			工厂限制表
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Com.mapper.ComSlabdesignPltlmtMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_SLABDESIGN_PLTLMT", namespace=ComSlabdesignPltlmtMapper.class)
public class ComSlabdesignPltlmt extends BaseVO implements Serializable {
	@Id
	//序号
	private String serial_no;
	public String  getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	@Column
	//工厂
	private String plt;
	public String  getPlt() {
		return this.plt;
	}
	public void setPlt(String plt) {
		this.plt = plt;
	}

	@Column
	//产线
	private String plt_line;
	public String  getPlt_line() {
		return this.plt_line;
	}
	public void setPlt_line(String plt_line) {
		this.plt_line = plt_line;
	}

	@Column
	//下限
	private Double min;
	public Double  getMin() {
		return this.min;
	}
	public void setMin(Double min) {
		this.min = min;
	}

	@Column
	//上限
	private Double max;
	public Double  getMax() {
		return this.max;
	}
	public void setMax(Double max) {
		this.max = max;
	}

	@Column
	//适用项目
	private String apply_item;
	public String  getApply_item() {
		return this.apply_item;
	}
	public void setApply_item(String apply_item) {
		this.apply_item = apply_item;
	}

	@Column
	//适用项目名称
	private String apply_item_nm;
	public String  getApply_item_nm() {
		return this.apply_item_nm;
	}
	public void setApply_item_nm(String apply_item_nm) {
		this.apply_item_nm = apply_item_nm;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//生效开始时间
	private Date begin_time;
	public Date  getBegin_time() {
		return this.begin_time;
	}
	public void setBegin_time(Date begin_time) {
		this.begin_time = begin_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//生效结束时间
	private Date end_time;
	public Date  getEnd_time() {
		return this.end_time;
	}
	public void setEnd_time(Date end_time) {
		this.end_time = end_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//录入时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//录入人
	private String create_emp;
	public String  getCreate_emp() {
		return this.create_emp;
	}
	public void setCreate_emp(String create_emp) {
		this.create_emp = create_emp;
	}

}
